/*

Here's a demo stylesheet used to format a menu and its content.
Feel free to alter the menu layout however you want. All you have to do is ensure the script
has the correct CSS property name (like 'visibility' or 'display') that you want it to change.

One good resource for UL/LI formatting: http://www.alistapart.com/articles/taminglists/
Consult your favourite CSS reference for editing fonts/borders/etc.

Otherwise, even if you're not very experienced at CSS, you can just go through and change
the #RGB border/background colours where suitable to customise for your site!

*/



/* HORIZONTAL FREESTYLE MENU LAYOUT */


/* All <ul> tags in the menu including the first level */
.menulist, .menulist  ul {
 margin: 0;
 padding: 0;
 list-style: none;
 font-family: Verdana, Sans;
 font-size:11px;
 font-weight:normal;
}

/* Submenus (<ul> tags) are hidden and absolutely positioned downwards from their parent */
.menulist ul {
 visibility: hidden;
 position: absolute;
 top: 35px; /* I'm using ems rather than px to allow people to zoom their font */
 left: -1px;
 width: 275px;
 background: #000000;
}

/* Second and third etc. level submenus - position across from parent instead */
.menulist ul ul {
 top: -1px;
 left: 210px;
}

/*
 All menu items (<li> tags). 'float: left' lines them up horizontally, and they are
 positioned relatively to correctly offset submenus. Also, they have overlapping borders.
*/
.menulist li {
 float: left;
 position: relative;
 background: #000000;
 border:none;
 margin: 0px;
 filter:alpha(opacity=95);-moz-opacity:.95;opacity:.95;
}

/* Items in submenus - override float/border/margin from above, restoring default vertical style */
.menulist ul li {
 float: none;
 margin-right: 0;
 margin-bottom: 0px;
 margin-top:0px;
}
.menulist ul>li:last-child {
 margin-bottom: 1px;
}

/* Links inside the menu */
.menulist a {
 display: block;
 padding: 0px;
 color:white;
 text-decoration:  none;
 background-color: #000000;
}

/* Lit  items: 'hover' is mouseover, 'highlighted' are parent items to visible menus */
.menulist a:hover, .menulist a.highlighted:hover, .menulist a:focus {
 color:black;
 background-color: #F5F5F5;
}
.menulist  a.highlighted {
 color:white;
 background-color: #F5F5F5;
}


/* If you want per-item background images in your menu items, here's how to do it.
 1) Assign a unique ID tag to each link in your menu, like so: <a id="xyz" href="#">
 2) Copy and paste these next lines for each link you want to have an image:*/
    .menulist a#topnav {
		border: 1px solid #686868;
		background-color:white;
		font-size:11px;
 		color:black;
		font-family: Arial, Helvetica, sans-serif;
    }
    .menulist a#topnav:hover, .menulist a.highlighted#topnav, .menulist a:focus {
		border: 1px solid #686868;
		background-color:#686868;
		font-size:11px;
 		color:white;
		font-family: Arial, Helvetica, sans-serif;
    }
	


#spacer{
	width:85px;
	font-family: Verdana, Sans;
	font-size: 11px;
	color: #FFFFFF;
	font-weight: normal;
	height:13px;
}

html>body #spacer{
	width:85px;
	font-family: Verdana, Sans;
	font-size: 11px;
	color: #FFFFFF;
	font-weight: normal;
	height:18px;
}

.menulist a#spacer{
	border: 1px none #CCCCCC;
 	color:white;
	font-size:11px;
	font-family: Verdana, Sans;
}

.menulist a#spacer:hover, .menulist a.highlighted#spacer, .menulist a:focus{
	border: 0px none #CCCCCC;
 	color:black;
	font-size:11px;
	font-family: Verdana, Sans;
}

#spacer2{
	border: 0px none #CCCCCC;
	text-align:center;
	width:85px;
 	color:white;
	font-size:11px;
	height:13px;
}

html>body #spacer2{
	border: 0px none #CCCCCC;
	text-align:center;
	width:85px;
 	color:white;
	font-size:11px;
	height:18px;
}


.menulist a#spacer2{
	border: 0px none #CCCCCC;
 	color:white;
	font-size:11px;
}

.menulist a#spacer2:hover, .menulist a.highlighted#spacer2, .menulist a:focus{
	border: 0px none #CCCCCC;
 	color:black;
	font-size:11px;
}

#spacer3{
	border: 0px none #CCCCCC;
	text-align:center;
	width:105px;
 	color:white;
	font-size:11px;
	height:13px;
}

html>body #spacer3{
	border: 0px none #CCCCCC;
	text-align:center;
	width:105px;
 	color:white;
	font-size:11px;
	height:18px;
}


.menulist a#spacer3{
	border: 0px none #CCCCCC;
 	color:white;
	font-size:11px;
}

.menulist a#spacer3:hover, .menulist a.highlighted#spacer3, .menulist a:focus{
	border: 0px none #CCCCCC;
 	color:black;
	font-size:11px;
}




/* Only style submenu indicators within submenus. */
.menulist a .subind {
 display:  none;
}
.menulist ul a .subind {
 display:  block;
 float: right;
}

/* 'Escaped Comment' hack for horizontal menubar width in IE5/Mac */
.menulist a {
 float: left;
}
.menulist ul a {
 float: none;
}
/* \*/
.menulist a {
 float: none;
}
/* */


/* This semi-commented section exists to fix bugs in IE/Windows (the 'Holly Hack'). \*/
* html .menulist  ul li {
 float: left;
 height: 1%;
}
* html .menulist  ul a {
 height: 1%;
}
/* End Hack */


/* RULES FOR THE "MENUDIV" OBJECT */


/* An absolutely positioned and hidden DIV (treated as a layer in NS4). */
.menudiv {
 position: absolute;
 visibility: hidden;
 z-index: 1000;
 border: 0px outset #FFFFCC;
 /* Borders:     Top    Right  Bottom    Left   */
 border-color: #FFFFCC #666633 #666633 #FFFFCC;
 background-color: #CCCC99;
 /* layer-background-color is non-standard and NS4 only. */
 layer-background-color: #CCCC99;
 padding: 5px;
 font: 14px/22px Arial, Helvetica, sans-serif;
 /* Here's a cool effect, try uncommenting this, althought it's non-standard: */
 /* filter: alpha(opacity=80); -moz-opacity: 0.8; opacity: 0.8 */
}


/* Formatting to apply to the elements inside the "menudiv" class elements. */
/* Of course, you can put whatever you want within the menu divs, these are just examples. */

.menudiv .header {
 width: 100%;
 font-weight: normal;
 text-align: center;
 border-bottom: 2px dashed #999966;
 margin-bottom: 5px;
}

.menudiv a {
 display: block;
 /* I've specified borders for each side individually so NS4 ignores this setting */
 border-top: 0px solid #CCCC99;
 border-right: 0px solid #CCCC99;
 border-bottom: 0px solid #CCCC99;
 border-left: 0px solid #CCCC99;
 color: #003333;
 text-indent: 5px;
 text-decoration: none;
}

/* I'm using :hover and :active pseudo-classes for link mouse effects. */
.menudiv a:hover {
 border: 0px solid #336699;
 border-color: #6699CC #003366 #003366 #6699CC;
 background-color: #336699;
 color: #FFFFFF;
}
.menudiv a:active {
 border: 0px solid #003366;
 border-color: #000000 #3366CC #3366CC #000000;
 background-color: #003366;
 color: #FFFFFF;
}

/*
The script will automatically assign a class of "highlighted" to elements that currently
have an active submenu, so here's a little CSS to format links within a .menudiv element.
*/
.menudiv .highlighted {
 background-color: #336699;
 border-color: #336699;
 color: #FFFFFF;
}

/* The links in the upper-left that pop out 'divMenu' menus. */
.trigger a {
 font: Bold 14px Verdana, Sans;
 color: #003366;
 text-decoration: none;
}

/* Likewise, style active trigger links */
.trigger a.highlighted {
 color: #CC9966;
}
